package com.ruoyi.platform.vo;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
public class VersionVo implements Serializable {

    /**
     * 数据集存储地址
     */
    @ApiModelProperty(name = "url")
    private String url;
    /**
     * 文件名
     */
    @ApiModelProperty(name = "file_name")
    private String fileName;
    /**
     * 文件大小
     */
    @ApiModelProperty(name = "file_size")
    private String fileSize;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileSize() {
        return fileSize;
    }

    public void setFileSize(String fileSize) {
        this.fileSize = fileSize;
    }
}
